Articles of macos

Installation de RMagick: Vous ne trouvez pas MagickWand.h

Mettre à jour RMagick et Imagemagick est une expérience douloureuse. J’ai mis à jour la version d’Imagemagick sur mon Mac (MacOS El Capitan Version 10.11.5) avec un homebrew pour un projet en Ruby 2.3 à 6.9.5-9 $ convert –version Version: ImageMagick 6.9.5-9 Q16 x86_64 2016-09-09 Maintenant, un ancien projet dans Ruby 1.8.7 refuse de fonctionner […]

‘sudo gem install’ ou ‘gem install’ et les emplacements de gemme

Exécuter ‘ sudo gem list –local ‘ et ‘ gem list –local ‘ me donne des résultats différents. Mon chemin de gemme est défini sur mon dossier personnel et ne contient que les gemmes de la « gem list –local – gem list –local ». Ce n’est probablement pas bon d’avoir des gems installés dans […]

Comment déplacer un répertoire avec Terminal dans OSX

Lorsque je lance une nouvelle fenêtre de terminal, il me lance dans ‘Macintosh HD / Users / MyName’. Comment puis-je sortir de mon répertoire utilisateur au niveau supérieur?

Supprimer les avertissements obsolètes dans Xcode

Avec tous les SDK qui circulent, il est pratique de pouvoir créer plusieurs SDK et plates-formes. Cependant, rebondissant de 3.2 à 3.0 et même occasionnellement 2.x, je reçois fréquemment des avertissements obsolètes impliquant des méthodes qui ont changé ou ont été remplacées: warning: ‘UIKeyboardBoundsUserInfoKey’ is deprecated. Étant donné que je veux toujours maintenir la compatibilité […]

Comment puis-je lancer plusieurs instances de MonoDevelop sur le Mac?

Je voudrais ouvrir une nouvelle instance de MonoDevelop pour travailler sur un projet différent sur le Mac, et le système d’exploitation m’empêche actuellement d’ouvrir une nouvelle instance.

Comment installer un fichier .ipa sur mon simulateur iPhone

J’ai un simulateur d’iphone fonctionnant sur mon Mac. J’ai un fichier .ipa, pouvez-vous s’il vous plaît me dire comment puis-je l’installer sur le simulateur?

Comment mettre à jour Git vers la dernière version sur OS X?

Je viens d’acheter un nouveau Mac avec OS X Lion et j’ai vérifié dans le terminal quelle version de git est installée par défaut. J’ai la réponse git –version > git version 1.7.5.4 Je voudrais mettre à jour git vers la dernière version 1.7.8.3, alors j’ai téléchargé l’installateur de dmg “git-1.7.8.3-intel-universal-snow-leopard.dmg” et je l’ai lancé. […]

Comment mettre à jour Xcode sur OSX vers la dernière version?

Quelle est la manière la plus simple de mettre à jour Xcode sur OSX? Je le vois dans le terminal: $ brew install xxxxxxx Warning: Your Xcode (4.3.3) is outdated Please install Xcode 4.6. Mais quand je vais ouvrir Xcode > Preferences > Downloads , il indique qu’il n’ya pas de mises à jour?

Supprimer autolayout (contraintes) dans Interface Builder

J’essaie de rendre mon projet compatible avec Snow Leopard et je ne parviens pas à supprimer l’autolayout dans les nibs à l’aide du générateur Interface (XCode 4.3 sur Lion). Est-il possible de supprimer les contraintes et l’autolayout dans un nib sur XCode?

Equivalent de strace -feopen sur mac os X

Ceci est utile pour le débogage (donc lié à la programmation). Sous linux, nous pouvons utiliser la commande strace -feopen python myfile.py pour déterminer quels modules python et quels objects partagés sont chargés. Y a-t-il un one-liner équivalent sur macOS X?